import 'dart:convert';

import 'package:http/http.dart';
import 'package:http/http.dart' as http;

import '../../mhslApi.dart';
import 'addFeedbackParams.dart';


class AddFeedback extends MhslApi<void> {
  AddFeedbackParams params;
  AddFeedback(this.params) : super('server/feedback');

  @override
  void assemble(String raw) {}

  @override
  Future<Response>? request(Uri uri) {
    return http.post(uri, body: jsonEncode(params.toJson()));
  }
}